Description: remove deprecated run-sequence
Author: Xavier Guimard <yadd@debian.org>
Forwarded: no
Last-Update: 2020-03-23

--- a/gulpfile.js
+++ b/gulpfile.js
@@ -1,7 +1,6 @@
 'use strict';
 
 var gulp = require('gulp');
-var runSequence = require('run-sequence');
 var istanbul = require('gulp-istanbul');
 var mocha = require('gulp-mocha');
 var chalk = require('chalk');
@@ -44,9 +43,7 @@
 
 });
 
-gulp.task('validate', function (done) {
-    runSequence('lint', 'test', done);
-});
+gulp.task('validate', gulp.series(['lint', 'test']));
 
 gulp.task('lint', function () {
 
@@ -101,19 +98,15 @@
 
 });
 
-gulp.task('clean', ['clean-coverage']);
+gulp.task('clean', gulp.series(['clean-coverage']));
 
 gulp.task('clean-coverage', function (done) {
     rimraf('./coverage', done);
 });
 
-gulp.task('ci', function (done) {
-    runSequence('validate', 'coveralls', 'test-without-coverage', done);
-});
+gulp.task('ci', gulp.series(['validate', 'coveralls', 'test-without-coverage']));
 
-gulp.task('ci-no-cov', function (done) {
-    runSequence('validate', 'test-without-coverage', done);
-});
+gulp.task('ci-no-cov', gulp.series(['validate', 'test-without-coverage']));
 
 gulp.task('coveralls', function () {
     return gulp.src('coverage/**/lcov.info')
--- a/package.json
+++ b/package.json
@@ -54,7 +54,6 @@
     "publish-please": "~2.4.1",
     "request": "^2.34.0",
     "rimraf": "~2.5.3",
-    "run-sequence": "~1.2.2",
     "stealthy-require": "~1.0.0"
   }
 }
